package com.bocloud.nms.model.campus;

public class SshTemplateModel {

    private Long id; // SSH 模板的 ID。
    private String name; // 参数名称。
    private Integer type; // 参数类型。0：TEMPLATE，1：DEFINED
    private Integer authType; // 认证模式。0：PASSWORDAUTH。1：CIPHERKEYAUTH。2：MIXEDAUTH。3：PASSWORDANDSUPERAUTH。4：CIPHERKEYANDSUPERAUTH。5：MIXEDANDSUPERAUTH。
    private String authTypeStr; // 认证模式描述。
    private String userName; // 用户名。
    private Integer timeout; // 超时时间。
    private Integer retries; // 重试次数。
    private String password; // 密码。
    private Integer port; // 端口。
    private String keyFileName; // 密钥认证的密钥文件名。
    private String keyPhrase; // 密钥认证的密钥短语。
    private String superPassword; // 超级密码。

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getAuthType() {
        return authType;
    }

    public void setAuthType(Integer authType) {
        this.authType = authType;
    }

    public String getAuthTypeStr() {
        return authTypeStr;
    }

    public void setAuthTypeStr(String authTypeStr) {
        this.authTypeStr = authTypeStr;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getTimeout() {
        return timeout;
    }

    public void setTimeout(Integer timeout) {
        this.timeout = timeout;
    }

    public Integer getRetries() {
        return retries;
    }

    public void setRetries(Integer retries) {
        this.retries = retries;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public String getKeyFileName() {
        return keyFileName;
    }

    public void setKeyFileName(String keyFileName) {
        this.keyFileName = keyFileName;
    }

    public String getKeyPhrase() {
        return keyPhrase;
    }

    public void setKeyPhrase(String keyPhrase) {
        this.keyPhrase = keyPhrase;
    }

    public String getSuperPassword() {
        return superPassword;
    }

    public void setSuperPassword(String superPassword) {
        this.superPassword = superPassword;
    }
}
